[PATCH] Add support for ATT USBConnect Mercury (Sierra Wireless Compass USB Modem)

Bug #306604 reported by Jerone Young on 2008-12-09
8
Affects Status Importance Assigned to Milestone
hal-info (Ubuntu)
Wishlist
Martin Pitt

Bug Description

Binary package hint: hal-info

This hal entry to add support for the ATT USBConnect Mercury 3G wireless modem. This is a Sierra Wireless Compass USB modem. Tested and works. Have a patch below and attached:

Signed-off-by: Jerone Young <email address hidden>

--- /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi 2008-11-24 03:17:52.000000000 -0800
+++ /usr/share/hal/fdi/information/10freedesktop/10-modem.fdi.FIXED 2008-12-09 09:56:09.000000000 -0800
@@ -184,6 +184,15 @@
             </match>
           </match>
         </match>
+ <!-- Compass USB modem -->
+ <match <email address hidden>:usb.product_id" int_outof="0x6880">
+ <match <email address hidden>:usb.interface.number" int="4">
+ <match key="serial.port" int="4">
+ <append key="modem.command_sets" type="strlist">GSM-07.07</append>
+ <append key="modem.command_sets" type="strlist">GSM-07.05</append>
+ </match>
+ </match>
+ </match>
       </match>

       <!-- Huawei -->

Jerone Young (jerone) wrote :
Alexander Sack (asac) wrote :

Martin, please send upstream.

Changed in hal-info:
importance: Undecided → Wishlist
status: New → In Progress
Jerone Young (jerone) wrote :

I went ahead and submitted the patch upstream.

On Fri, Dec 19, 2008 at 07:22:40AM -0000, Jerone Young wrote:
> I went ahead and submitted the patch upstream.
>

to hal-info? Can you please update the bug accordingly. Martin, can
directly commit there which usually helps to get a quicker
turnaround.

 - Alexander

Jerone Young (jerone) wrote :

Yeah I submitted to the hal mailing list. It's a bit of a cleaner patch too. Martin can you take the patch from the Hal mailing list and commit it to upstream a hal-info.

Jerone Young (jerone) wrote :

Martin any traction on this. It still hasn't made it upstream yet ?

Alexander Sack (asac) wrote :

Martin, do you want me to subscribe you explicitly on such hal-info bugs?

Martin Pitt (pitti) wrote :

Alexander Sack [2009-01-21 14:08 -0000]:
> Martin, do you want me to subscribe you explicitly on such hal-info
> bugs?

That's fine. I walk through them from time to time, too, but then it
could take a while.

Martin Pitt (pitti) wrote :

Applied upstream.

Changed in hal-info:
assignee: nobody → pitti
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hal-info - 20090128-0ubuntu1

---------------
hal-info (20090128-0ubuntu1) jaunty; urgency=low

  * New upstream git snapshot:
    - Add Nokia E51 mobile modem (LP: #261416)
    - Add Nokia N and E series modems (LP: #303748)
    - Add ATT USBConnect Mercury modem (LP: #306604)
    - Add Sony Ericsson W890i music player (LP: #314618)
    - Fix detection of AT&T Option 3G modems again (LP: #316120)
    - Add ZTE AC8700 (EV-DO) modem (LP: #321213)
  * Dropped most of our patches, committed upstream:
    - 03_missing_lenovo_hotkey.patch
    - 04_globetrotter_hsupa_modem.patch
    - 05_missing_samsung_hotkey.patch
    - 06_missing_asus_hotkeys.patch
    - 07_missing_hp_hotkeys.patch
    - 08_missing_fujitsu_hotkeys.patch

 -- Martin Pitt <email address hidden> Wed, 28 Jan 2009 10:48:37 +0100

Changed in hal-info:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers